# Align image stack

From PanoTools.org Wiki

align_image_stack is a command-line tool available in the development version of hugin to align overlapping images to facilitate HDR creation, Exposure blending[*] and extended Depth of Field images.

## Usage

    align_image_stack [options] input_files

### Options: modes of operation

    -p file

Output .pto file (useful for debugging, or further refinement)

    -a prefix

Align images, output as prefix_xxxx.tif

    -o output

Merge images to HDR, generate output.hdr

### Options: modifiers

    -v

Verbose, print progress messages

    -e

Assume input images are full frame fish eye (default: rectilinear)

    -t num

Remove all control points with an error higher than num pixels (default: 3)

    -f HFOV

Approximate horizontal field of view[*] of input images, use if EXIF info not complete

    -m

Optimize field of view for all images, except for first. Useful for aligning focus stacks with slightly different magnification

    -d

Optimize radial distortion for all images, except for first.

    -i

Optimize image center shift for all images, except for first.

    -x

Optimize X coordinate of the camera position.

    -y

Optimize Y coordinate of the camera position.

    -z

Optimize Z coordinate of the camera position. Useful for aligning more distorted images.

    -S

Assume stereo images - allow horizontal shift of control points.

    -A

Align stereo window - assumes -S.

    -P

Align stereo window with pop-out effect - assumes -S.

    -C

Auto crop the image to the area covered by all images.

    -c num

Number of control points to create between adjacent images (default: 8)

    -l

Assume linear input files

    -s scale

Scale down image by 2^scale (default: 1 [2x downsampling]). Scaling down images will improve speed at the cost of accuracy.

    -g gsize

Break image into a rectangular grid (gsize x gsize) and attempt to find num control points in each section (default: 5 [5x5 grid] )

    -h

Display help.

This article is incomplete. You can help Panotools Wiki by expanding it.

Once the article is ok feel free to remove the {{Incomplete}} template

Retrieved from "http://wiki.panotools.org/index.php?title=Align_image_stack&oldid=14280[*]"